Skip to Content
Micro-Surveys & NPS

Get aggregate survey metrics and NPS score

View Markdown (.md)
GET
/api/v1/public/surveys/{id}/metrics

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Path Parameters

id*string
Formatuuid

Response Body

Response rate %, NPS score (-100 to +100), and breakdown

application/json
  1. response
status?string
data?
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/surveys/497f6eca-6276-4993-bfeb-53cbbbba6f08/metrics'
Example Response
{  "status": "string",  "data": {    "npsScore": 0,    "totalResponses": 0,    "promoters": 0,    "passives": 0,    "detractors": 0  }}